ConditionalBorder (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fo.flow.table

## Class ConditionalBorder

- java.lang.Object
- - org.apache.fop.fo.flow.table.ConditionalBorder

-     public class ConditionalBorder
      extends Object

  A class that holds the three possible values for a border-before/after on a table-cell, in the collapsing model. These three values are (for border-before, similar for border-after):
  - normal: common case, when a cell follows the cell before on a same page;
  - leading: when the table is broken and the cell appears at the top of a page, in which case its border must be resolved with the header (or the top of the table) instead of with the previous cell;
  - rest: when a cell is broken over several pages; same as leading but with conditionality taken into account.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LEADING_TRAILING` leading and trailing border
    `static int` | `NORMAL` normal border
    `static int` | `REST` all the rest

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NORMAL

          public static final int NORMAL

      normal border
      See Also:
        Constant Field Values

    - #### LEADING_TRAILING

          public static final int LEADING_TRAILING

      leading and trailing border
      See Also:
        Constant Field Values

    - #### REST

          public static final int REST

      all the rest
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2025 Apache Software Foundation. All rights reserved.